### Method

# EBackend CacheColumnValues lookup

since: 3.26

#### Declaration [src]

    const gchar*
    e_cache_column_values_lookup (
      ECacheColumnValues* other_columns,
      const gchar* name
    )

#### Description [src]

Looks up currently stored value for the column named `name`. As the values can be `NULL` one cannot distinguish between a column which doesn’t have stored any value and a column which has stored `NULL` value. Use `e_cache_column_values_contains()` to check whether such column exitst in the `other_columns`. The returned pointer is owned by `other_columns` and is valid until the value is overwritten of the `other_columns` freed.

Available since: 3.26

#### Parameters

`name`

  Type: `const gchar*`

  A column name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Stored value for the column named `name`, or `NULL`, if no such column values is stored.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.